%define name	jabber-server
%define version	0.8.1
%define release	1
%define serial  1

Summary: jserver - this is the Jabber server
Name:	 %{name}
Version: %{version}
Release: %{release}
Serial:	 %{serial}
Copyright: GPL
# I really don't know what group this belongs in. [cananian]
Group:	 Networking/Daemons
URL:	 http://server.jabber.org/
Source:	 http://download.jabber.org/dists/0.8/jabber-transport-%{version}.tar.gz
Patch:	jabber-config-patch
Buildroot: /var/tmp/%{name}-%{version}

Packager: C. Scott Ananian <cananian@alumni.princeton.edu>

%changelog
* Sat Dec 18 1999 C. Scott Ananian <cananian@alumni.princeton.edu>
- Created redhat packages.

%description
Jabber is an open source, cross-platform, completely
extensible, end-all to Instant Messaging as we know it.
jabber-server is the Jabber server.

%prep
%setup -n jabber-transport-%{version}
# fixup install script to handle Buildroot
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr

make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/etc/jabber
make prefix=$RPM_BUILD_ROOT/usr automated_build=1 install

%post	-p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT/; fi

%files 
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

/usr/bin/*
%dir /usr/etc/jabber
/usr/etc/jabber/*
%dir /usr/lib/jabber
/usr/lib/jabber/*
/usr/man/man5/*
/usr/man/man8/*
